[Task Manager] Parent QAction to "parent" instead of this
ClosedPublic

Authored by broulik on Dec 26 2016, 8:49 PM.

Details

Summary

This ensures the QAction is disposed of once the menu gets destroyed rather than accumulating forever - the methods already took a "parent" argument, which is passed the menu from QML side, for exactly that purpose.

Test Plan

verified that the actions are destroyed once the menu closes

Should be 5.8 material

Diff Detail

Repository
R119 Plasma Desktop
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
broulik retitled this revision from to [Task Manager] Parent QAction to "parent" instead of this.Dec 26 2016, 8:49 PM
broulik updated this object.
broulik edited the test plan for this revision. (Show Details)
broulik added reviewers: Plasma, hein.
broulik set the repository for this revision to R119 Plasma Desktop.
Restricted Application added a project: Plasma. · View Herald TranscriptDec 26 2016, 8:49 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
broulik updated this object.Dec 26 2016, 8:55 PM
mart accepted this revision.Dec 27 2016, 10:40 AM
mart added a reviewer: mart.
This revision is now accepted and ready to land.Dec 27 2016, 10:40 AM
hein accepted this revision.Jan 3 2017, 8:36 AM
This revision was automatically updated to reflect the committed changes.